summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-05-20 00:15:29 -0300
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2013-05-20 00:15:29 -0300
commit718862fe1dcdb398f01536b74debb35943052779 (patch)
tree102561475a2eb6f4ff36d8478619cb705b95172a
parent5a5ee617db0ca6a40e4eacc0f78a7417577c853f (diff)
parent0640cbc913bd1367fd53b85f742fa07e2cfcacd1 (diff)
downloadabslibre-718862fe1dcdb398f01536b74debb35943052779.tar.gz
abslibre-718862fe1dcdb398f01536b74debb35943052779.tar.bz2
abslibre-718862fe1dcdb398f01536b74debb35943052779.zip
Merge branch 'master' of ssh://parabolagnulinux.org:1863/srv/git/abslibre
-rw-r--r--pcr/send-to-torrent/PKGBUILD19
-rw-r--r--pcr/whysynth/PKGBUILD24
2 files changed, 43 insertions, 0 deletions
diff --git a/pcr/send-to-torrent/PKGBUILD b/pcr/send-to-torrent/PKGBUILD
new file mode 100644
index 000000000..110ba0b1a
--- /dev/null
+++ b/pcr/send-to-torrent/PKGBUILD
@@ -0,0 +1,19 @@
+pkgname=send-to-torrent
+pkgver=0.0.3
+pkgrel=1
+pkgdesc="Share files from the file browser"
+arch=('any')
+url="http://repo.hackcoop.com.ar/send-to-torrent.git/"
+license=("AGPL3")
+source=("http://repo.hackcoop.com.ar/${pkgname}.git/snapshot/${pkgname}-${pkgver}.tar.xz")
+md5sums=('e9d465ebec3abd1e142731f53adf8cf2')
+depends=("bash" "mktorrent" "xdg-utils")
+optdepends=("libnotify: desktop notifications"
+ "transmission-cli: transmission support"
+ "opentracker: local sharing support")
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}/"
+
+ make TARGET="${pkgdir}" PREFIX="/usr" install
+}
diff --git a/pcr/whysynth/PKGBUILD b/pcr/whysynth/PKGBUILD
new file mode 100644
index 000000000..8d2895984
--- /dev/null
+++ b/pcr/whysynth/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Guest One <theguestone at gmail dot com>
+pkgname=whysynth
+pkgver=20120903
+pkgrel=1
+pkgdesc="A versatile softsynth plugin for the DSSI Soft Synth Interface"
+arch=('i686')
+url="http://www.smbolton.com/whysynth.html"
+depends=('alsa-lib' 'liblo' 'gtk2' 'fftw')
+makedepends=('dssi' 'ladspa')
+license=('GPL')
+source=(http://www.smbolton.com/whysynth/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('b521b63ade13b09062a64c46d2eabee2')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR=${pkgdir} install || return 1
+ find ${pkgdir}/usr/lib -name '*.la' -exec rm {} \; || return 1
+}